# lite
lite is a basic sqlite wrapper to provide basic configuration for use in Go apps

<br />

## Dependencies
lite uses some established SQL libraries to provide easy sqlite connections
### Sqlite Driver
[ncruces](https://github.com/ncruces/go-sqlite3) is used to provide a compatible sqlite driver without cgo
### SQL Library
[sqlx](https://github.com/jmoiron/sqlx) is used to provide extensions on Go's standard SQL library

<br />

## Defaults
lite is intended to be as simple as possible and provide the basic SQL functionality in less code, to do this lite has some default values.
### Filename
the database filename will default to "lite-db" unless changed with the WithName option
### Path
the database file path will default to the home directory unless changed with the WithPath option